net.i2p.router.web.helpers

## Class ConfigStatsHelper

- java.lang.Object
- - net.i2p.router.web.HelperBase
  - - net.i2p.router.web.helpers.ConfigStatsHelper

-     public class ConfigStatsHelper
      extends HelperBase

  Helper for statistics configuration page rendering and form processing.

- - ### Field Summary

    - ### Fields inherited from class net.i2p.router.web.HelperBase

      `_context, _out, CHECKED, PROP_ADVANCED, SELECTED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigStatsHelper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getCurrentCanBeGraphed()`
    `String` | `getCurrentGraphName()`
    `String` | `getCurrentGroupName()` What group is the current stat in
    `boolean` | `getCurrentIsGraphed()`
    `String` | `getCurrentStatDescription()`
    `String` | `getCurrentStatName()`
    `boolean` | `getIsFull()`
    `boolean` | `groupRequired()` Is the current stat the first in the group?
    `boolean` | `hasMoreStats()` move the cursor to the next known stat, returning true if a valid stat is available.
    `void` | `setContextId(String contextId)` Configure this bean to query a particular router context

    - ### Methods inherited from class net.i2p.router.web.HelperBase

      `_t, _t, _t, _x, getChecked, getCheckedDefaultTrue, isAdvanced, ngettext, storeWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigStatsHelper

          public ConfigStatsHelper()

  - ### Method Detail

    - #### getCurrentCanBeGraphed

          public boolean getCurrentCanBeGraphed()

    - #### getCurrentGraphName

          public String getCurrentGraphName()

    - #### getCurrentGroupName

          public String getCurrentGroupName()

      What group is the current stat in

    - #### getCurrentIsGraphed

          public boolean getCurrentIsGraphed()

    - #### getCurrentStatDescription

          public String getCurrentStatDescription()

    - #### getCurrentStatName

          public String getCurrentStatName()

    - #### getIsFull

          public boolean getIsFull()

    - #### groupRequired

          public boolean groupRequired()

      Is the current stat the first in the group?

    - #### hasMoreStats

          public boolean hasMoreStats()

      move the cursor to the next known stat, returning true if a valid stat is available.
      Returns:
        true if a valid stat is available, otherwise false

    - #### setContextId

          public void setContextId(String contextId)

      Configure this bean to query a particular router context
      Overrides:
        `setContextId` in class `HelperBase`
      Parameters:
        `contextId` - beginning few characters of the routerHash, or null to pick the first one we come across.